Package com.ocient.jdbc.proto

# Class ClientWireProtocol.SysQueriesRow

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
com.ocient.jdbc.proto.ClientWireProtocol.SysQueriesRow

All Implemented Interfaces:
  `Message`, `MessageLite`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `ClientWireProtocol.SysQueriesRowOrBuilder`, `Serializable`

Enclosing class:
  ClientWireProtocol

public static final class ClientWireProtocol.SysQueriesRow extends GeneratedMessageV3 implements ClientWireProtocol.SysQueriesRowOrBuilder
Protobuf type `xg.cmdcomp.SysQueriesRow`

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`ClientWireProtocol.SysQueriesRow.Builder`
Protobuf type `xg.cmdcomp.SysQueriesRow`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`GeneratedMessageV3.BuilderParent, GeneratedMessageV3.ExtendableBuilder<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>, GeneratedMessageV3.ExtendableMessage<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>>, GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>>, GeneratedMessageV3.FieldAccessorTable, GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DATABASE_FIELD_NUMBER`
`static final int`
`EFFECTIVE_PRIORITY_FIELD_NUMBER`
`static final int`
`ELAPSED_TIME_SEC_FIELD_NUMBER`
`static final int`
`ESTIMATED_RESULT_ROWS_FIELD_NUMBER`
`static final int`
`ESTIMATED_RESULT_SIZE_FIELD_NUMBER`
`static final int`
`ESTIMATED_TIME_SEC_FIELD_NUMBER`
`static final int`
`INITIAL_EFFECTIVE_PRIORITY_FIELD_NUMBER`
`static final int`
`INITIAL_PRIORITY_FIELD_NUMBER`
`static final int`
`PRIORITY_ADJUST_FACTOR_FIELD_NUMBER`
`static final int`
`PRIORITY_ADJUST_TIME_FIELD_NUMBER`
`static final int`
`QUERY_ID_FIELD_NUMBER`
`static final int`
`QUERY_SERVER_FIELD_NUMBER`
`static final int`
`REMOTEIP_FIELD_NUMBER`
`static final int`
`SENT_BYTES_FIELD_NUMBER`
`static final int`
`SENT_ROWS_FIELD_NUMBER`
`static final int`
`SERVICE_CLASS_FIELD_NUMBER`
`static final int`
`SQL_TEXT_FIELD_NUMBER`
`static final int`
`STATUS_FIELD_NUMBER`
`static final int`
`USERID_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Compares the specified object with this message for equality.
`String`
`getDatabase()`
`string database = 9;`
`ByteString`
`getDatabaseBytes()`
`string database = 9;`
`static ClientWireProtocol.SysQueriesRow`
`getDefaultInstance()`
`ClientWireProtocol.SysQueriesRow`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`float`
`getEffectivePriority()`
`float effective_priority = 2;`
`int`
`getElapsedTimeSec()`
`int32 elapsed_time_sec = 6;`
`long`
`getEstimatedResultRows()`
`int64 estimated_result_rows = 12;`
`long`
`getEstimatedResultSize()`
`int64 estimated_result_size = 13;`
`int`
`getEstimatedTimeSec()`
`int32 estimated_time_sec = 3;`
`float`
`getInitialEffectivePriority()`
`float initial_effective_priority = 17;`
`float`
`getInitialPriority()`
`float initial_priority = 16;`
`Parser<ClientWireProtocol.SysQueriesRow>`
`getParserForType()`
TODO(b/258340024): Remove this unnecessary intermediate implementation of this method.
`float`
`getPriorityAdjustFactor()`
`float priority_adjust_factor = 18;`
`int`
`getPriorityAdjustTime()`
`uint32 priority_adjust_time = 19;`
`String`
`getQueryId()`
`string query_id = 1;`
`ByteString`
`getQueryIdBytes()`
`string query_id = 1;`
`String`
`getQueryServer()`
`string query_server = 8;`
`ByteString`
`getQueryServerBytes()`
`string query_server = 8;`
`String`
`getRemoteIP()`
`string remoteIP = 10;`
`ByteString`
`getRemoteIPBytes()`
`string remoteIP = 10;`
`long`
`getSentBytes()`
`int64 sent_bytes = 15;`
`long`
`getSentRows()`
`int64 sent_rows = 14;`
`int`
`getSerializedSize()`
Get the number of bytes required to encode this message.
`String`
`getServiceClass()`
`string service_class = 11;`
`ByteString`
`getServiceClassBytes()`
`string service_class = 11;`
`String`
`getSqlText()`
`string sql_text = 5;`
`ByteString`
`getSqlTextBytes()`
`string sql_text = 5;`
`String`
`getStatus()`
`string status = 7;`
`ByteString`
`getStatusBytes()`
`string status = 7;`
`String`
`getUserid()`
`string userid = 4;`
`ByteString`
`getUseridBytes()`
`string userid = 4;`
`int`
`hashCode()`
Returns the hash code value for this message.
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`static ClientWireProtocol.SysQueriesRow.Builder`
`newBuilder()`
`static ClientWireProtocol.SysQueriesRow.Builder`
`newBuilder(ClientWireProtocol.SysQueriesRow prototype)`
`ClientWireProtocol.SysQueriesRow.Builder`
`newBuilderForType()`
Constructs a new builder for a message of the same type as this message.
`protected ClientWireProtocol.SysQueriesRow.Builder`
`newBuilderForType(GeneratedMessageV3.BuilderParent parent)`
TODO(b/258340024): remove this together with GeneratedMessageV3.BuilderParent.
`protected Object`
`newInstance(GeneratedMessageV3.UnusedPrivateParameter unused)`
Creates a new instance of this message type.
`static ClientWireProtocol.SysQueriesRow`
`parseDelimitedFrom(InputStream input)`
`static ClientWireProtocol.SysQueriesRow`
`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.SysQueriesRow`
`parseFrom(byte[] data)`
`static ClientWireProtocol.SysQueriesRow`
`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.SysQueriesRow`
`parseFrom(ByteString data)`
`static ClientWireProtocol.SysQueriesRow`
`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.SysQueriesRow`
`parseFrom(CodedInputStream input)`
`static ClientWireProtocol.SysQueriesRow`
`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.SysQueriesRow`
`parseFrom(InputStream input)`
`static ClientWireProtocol.SysQueriesRow`
`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.SysQueriesRow`
`parseFrom(ByteBuffer data)`
`static ClientWireProtocol.SysQueriesRow`
`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
`static Parser<ClientWireProtocol.SysQueriesRow>`
`parser()`
`ClientWireProtocol.SysQueriesRow.Builder`
`toBuilder()`
Constructs a builder initialized with the current message.
`void`
`writeTo(CodedOutputStream output)`
Serializes the message and writes it to `output`.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, isStringEmpty, makeExtensionsImmutable, makeMutableCopy, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Field Details

### QUERY_ID_FIELD_NUMBER

public static final int QUERY_ID_FIELD_NUMBER

See Also:
  - Constant Field Values

### EFFECTIVE_PRIORITY_FIELD_NUMBER

public static final int EFFECTIVE_PRIORITY_FIELD_NUMBER

See Also:
  - Constant Field Values

### ESTIMATED_TIME_SEC_FIELD_NUMBER

public static final int ESTIMATED_TIME_SEC_FIELD_NUMBER

See Also:
  - Constant Field Values

### USERID_FIELD_NUMBER

public static final int USERID_FIELD_NUMBER

See Also:
  - Constant Field Values

### SQL_TEXT_FIELD_NUMBER

public static final int SQL_TEXT_FIELD_NUMBER

See Also:
  - Constant Field Values

### ELAPSED_TIME_SEC_FIELD_NUMBER

public static final int ELAPSED_TIME_SEC_FIELD_NUMBER

See Also:
  - Constant Field Values

### STATUS_FIELD_NUMBER

public static final int STATUS_FIELD_NUMBER

See Also:
  - Constant Field Values

### QUERY_SERVER_FIELD_NUMBER

public static final int QUERY_SERVER_FIELD_NUMBER

See Also:
  - Constant Field Values

### DATABASE_FIELD_NUMBER

public static final int DATABASE_FIELD_NUMBER

See Also:
  - Constant Field Values

### REMOTEIP_FIELD_NUMBER

public static final int REMOTEIP_FIELD_NUMBER

See Also:
  - Constant Field Values

### SERVICE_CLASS_FIELD_NUMBER

public static final int SERVICE_CLASS_FIELD_NUMBER

See Also:
  - Constant Field Values

### ESTIMATED_RESULT_ROWS_FIELD_NUMBER

public static final int ESTIMATED_RESULT_ROWS_FIELD_NUMBER

See Also:
  - Constant Field Values

### ESTIMATED_RESULT_SIZE_FIELD_NUMBER

public static final int ESTIMATED_RESULT_SIZE_FIELD_NUMBER

See Also:
  - Constant Field Values

### SENT_ROWS_FIELD_NUMBER

public static final int SENT_ROWS_FIELD_NUMBER

See Also:
  - Constant Field Values

### SENT_BYTES_FIELD_NUMBER

public static final int SENT_BYTES_FIELD_NUMBER

See Also:
  - Constant Field Values

### INITIAL_PRIORITY_FIELD_NUMBER

public static final int INITIAL_PRIORITY_FIELD_NUMBER

See Also:
  - Constant Field Values

### INITIAL_EFFECTIVE_PRIORITY_FIELD_NUMBER

public static final int INITIAL_EFFECTIVE_PRIORITY_FIELD_NUMBER

See Also:
  - Constant Field Values

### PRIORITY_ADJUST_FACTOR_FIELD_NUMBER

public static final int PRIORITY_ADJUST_FACTOR_FIELD_NUMBER

See Also:
  - Constant Field Values

### PRIORITY_ADJUST_TIME_FIELD_NUMBER

public static final int PRIORITY_ADJUST_TIME_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### newInstance

protected Object newInstance(GeneratedMessageV3.UnusedPrivateParameter unused)
Description copied from class: `GeneratedMessageV3`
Creates a new instance of this message type. Overridden in the generated code.

Overrides:
  `newInstance` in class `GeneratedMessageV3`

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessageV3`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessageV3`

### getQueryId

public String getQueryId()
`string query_id = 1;`

Specified by:
  `getQueryId` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The queryId.

### getQueryIdBytes

public ByteString getQueryIdBytes()
`string query_id = 1;`

Specified by:
  `getQueryIdBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The bytes for queryId.

### getEffectivePriority

public float getEffectivePriority()
`float effective_priority = 2;`

Specified by:
  `getEffectivePriority` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The effectivePriority.

### getEstimatedTimeSec

public int getEstimatedTimeSec()
`int32 estimated_time_sec = 3;`

Specified by:
  `getEstimatedTimeSec` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The estimatedTimeSec.

### getUserid

public String getUserid()
`string userid = 4;`

Specified by:
  `getUserid` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The userid.

### getUseridBytes

public ByteString getUseridBytes()
`string userid = 4;`

Specified by:
  `getUseridBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The bytes for userid.

### getSqlText

public String getSqlText()
`string sql_text = 5;`

Specified by:
  `getSqlText` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The sqlText.

### getSqlTextBytes

public ByteString getSqlTextBytes()
`string sql_text = 5;`

Specified by:
  `getSqlTextBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The bytes for sqlText.

### getElapsedTimeSec

public int getElapsedTimeSec()
`int32 elapsed_time_sec = 6;`

Specified by:
  `getElapsedTimeSec` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The elapsedTimeSec.

### getStatus

public String getStatus()
`string status = 7;`

Specified by:
  `getStatus` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The status.

### getStatusBytes

public ByteString getStatusBytes()
`string status = 7;`

Specified by:
  `getStatusBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The bytes for status.

### getQueryServer

public String getQueryServer()
`string query_server = 8;`

Specified by:
  `getQueryServer` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The queryServer.

### getQueryServerBytes

public ByteString getQueryServerBytes()
`string query_server = 8;`

Specified by:
  `getQueryServerBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The bytes for queryServer.

### getDatabase

public String getDatabase()
`string database = 9;`

Specified by:
  `getDatabase` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The database.

### getDatabaseBytes

public ByteString getDatabaseBytes()
`string database = 9;`

Specified by:
  `getDatabaseBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The bytes for database.

### getRemoteIP

public String getRemoteIP()
`string remoteIP = 10;`

Specified by:
  `getRemoteIP` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The remoteIP.

### getRemoteIPBytes

public ByteString getRemoteIPBytes()
`string remoteIP = 10;`

Specified by:
  `getRemoteIPBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The bytes for remoteIP.

### getServiceClass

public String getServiceClass()
`string service_class = 11;`

Specified by:
  `getServiceClass` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The serviceClass.

### getServiceClassBytes

public ByteString getServiceClassBytes()
`string service_class = 11;`

Specified by:
  `getServiceClassBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The bytes for serviceClass.

### getEstimatedResultRows

public long getEstimatedResultRows()
`int64 estimated_result_rows = 12;`

Specified by:
  `getEstimatedResultRows` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The estimatedResultRows.

### getEstimatedResultSize

public long getEstimatedResultSize()
`int64 estimated_result_size = 13;`

Specified by:
  `getEstimatedResultSize` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The estimatedResultSize.

### getSentRows

public long getSentRows()
`int64 sent_rows = 14;`

Specified by:
  `getSentRows` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The sentRows.

### getSentBytes

public long getSentBytes()
`int64 sent_bytes = 15;`

Specified by:
  `getSentBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The sentBytes.

### getInitialPriority

public float getInitialPriority()
`float initial_priority = 16;`

Specified by:
  `getInitialPriority` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The initialPriority.

### getInitialEffectivePriority

public float getInitialEffectivePriority()
`float initial_effective_priority = 17;`

Specified by:
  `getInitialEffectivePriority` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The initialEffectivePriority.

### getPriorityAdjustFactor

public float getPriorityAdjustFactor()
`float priority_adjust_factor = 18;`

Specified by:
  `getPriorityAdjustFactor` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The priorityAdjustFactor.

### getPriorityAdjustTime

public int getPriorityAdjustTime()
`uint32 priority_adjust_time = 19;`

Specified by:
  `getPriorityAdjustTime` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The priorityAdjustTime.

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessageV3`

### writeTo

public void writeTo(CodedOutputStream output) throws IOException
Description copied from interface: `MessageLite`
Serializes the message and writes it to `output`. This does not flush or close the stream.

Specified by:
  `writeTo` in interface `MessageLite`
Overrides:
  `writeTo` in class `GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()
Description copied from interface: `MessageLite`
Get the number of bytes required to encode this message. The result is only computed on the first call and memoized after that. If this message requires more than Integer.MAX_VALUE bytes to encode, the return value will be smaller than the actual number of bytes required and might be negative.

Specified by:
  `getSerializedSize` in interface `MessageLite`
Overrides:
  `getSerializedSize` in class `GeneratedMessageV3`

### equals

public boolean equals(Object obj)
Description copied from interface: `Message`
Compares the specified object with this message for equality. Returns `true` if the given object is a message of the same type (as defined by `getDescriptorForType()`) and has identical values for all of its fields. Subclasses must implement this; inheriting `Object.equals()` is incorrect.

Specified by:
  `equals` in interface `Message`
Overrides:
  `equals` in class `AbstractMessage`
Parameters:
  `obj` - object to be compared for equality with this message
Returns:
  `true` if the specified object is equal to this message

### hashCode

public int hashCode()
Description copied from interface: `Message`
Returns the hash code value for this message. The hash code of a message should mix the message's type (object identity of the descriptor) with its contents (known and unknown field values). Subclasses must implement this; inheriting `Object.hashCode()` is incorrect.

Specified by:
  `hashCode` in interface `Message`
Overrides:
  `hashCode` in class `AbstractMessage`
Returns:
  the hash code value for this message
See Also:
  - `Map.hashCode()`

### parseFrom

public static ClientWireProtocol.SysQueriesRow parseFrom(ByteBuffer data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.SysQueriesRow parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.SysQueriesRow parseFrom(ByteString data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.SysQueriesRow parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.SysQueriesRow parseFrom(byte[] data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.SysQueriesRow parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.SysQueriesRow parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.SysQueriesRow parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static ClientWireProtocol.SysQueriesRow parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static ClientWireProtocol.SysQueriesRow parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.SysQueriesRow parseFrom(CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.SysQueriesRow parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public ClientWireProtocol.SysQueriesRow.Builder newBuilderForType()
Description copied from interface: `MessageLite`
Constructs a new builder for a message of the same type as this message.

Specified by:
  `newBuilderForType` in interface `Message`
Specified by:
  `newBuilderForType` in interface `MessageLite`

### newBuilder

public static ClientWireProtocol.SysQueriesRow.Builder newBuilder()

### newBuilder

public static ClientWireProtocol.SysQueriesRow.Builder newBuilder(ClientWireProtocol.SysQueriesRow prototype)

### toBuilder

public ClientWireProtocol.SysQueriesRow.Builder toBuilder()
Description copied from interface: `MessageLite`
Constructs a builder initialized with the current message. Use this to derive a new message from the current one.

Specified by:
  `toBuilder` in interface `Message`
Specified by:
  `toBuilder` in interface `MessageLite`

### newBuilderForType

protected ClientWireProtocol.SysQueriesRow.Builder newBuilderForType(GeneratedMessageV3.BuilderParent parent)
Description copied from class: `GeneratedMessageV3`
TODO(b/258340024): remove this together with GeneratedMessageV3.BuilderParent.

Specified by:
  `newBuilderForType` in class `GeneratedMessageV3`

### getDefaultInstance

public static ClientWireProtocol.SysQueriesRow getDefaultInstance()

### parser

public static Parser<ClientWireProtocol.SysQueriesRow> parser()

### getParserForType

public Parser<ClientWireProtocol.SysQueriesRow> getParserForType()
Description copied from class: `GeneratedMessageV3`
TODO(b/258340024): Remove this unnecessary intermediate implementation of this method.

Specified by:
  `getParserForType` in interface `Message`
Specified by:
  `getParserForType` in interface `MessageLite`
Overrides:
  `getParserForType` in class `GeneratedMessageV3`

### getDefaultInstanceForType

public ClientWireProtocol.SysQueriesRow getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`